Bug 978994 - SSSD filter out ldap user/group if uid/gid is zero
Summary: SSSD filter out ldap user/group if uid/gid is zero
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-27 12:50 UTC by Najmuddin Chirammal
Modified: 2020-05-02 17:24 UTC (History)
7 users (show)

Fixed In Version: sssd-1.9.2-99.el6
Doc Type: Bug Fix
Doc Text:
Cause: Misleading description of min_id option in man sssd.conf. It wrongly said than min_id may be 0. Consequence: If min_id = 0 SSSD doesn't allow uid/gid to be 0 anyway. Fix: Description of min_id was changed, so it says that minimum value is 1. Result: Description of min_id now corresponds with SSSD behaviour.
Clone Of:
Environment:
Last Closed: 2013-11-21 22:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3047 0 None closed SSSD filter out ldap user/group if uid/gid is zero 2021-01-23 13:10:47 UTC
Red Hat Product Errata RHBA-2013:1680 0 normal SHIPPED_LIVE sssd bug fix and enhancement update 2013-11-20 21:52:37 UTC

Description Najmuddin Chirammal 2013-06-27 12:50:37 UTC
Description of problem: 

SSSD filters out ldap user/group entries if its uid/gid is zero, per man page, we can  set min_id to zero.

Request to update man pages to reflect the current behavior. (either change min_id minimum value to 1 or mention id=0 is ignored by sssd).

Discussion thread: http://comments.gmane.org/gmane.linux.redhat.sssd.user/185

Comment 1 Jakub Hrozek 2013-06-27 14:43:12 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2005

Comment 2 Jakub Hrozek 2013-07-17 13:07:54 UTC
Fixed upstram in d1ccb40d426d7c67dfa0c86cdabbb3ed9a7585eb

Comment 5 Kaushik Banerjee 2013-09-24 07:27:57 UTC
Verified in "man sssd.conf" with version sssd-1.9.2-127

Comment 6 errata-xmlrpc 2013-11-21 22:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1680.html


Note You need to log in before you can comment on or make changes to this bug.